GuiCommand: Name: TechDraw Annotation MenuLocation: TechDraw , Annotations , Insert Annotation Workbenches: TechDraw_Workbench SeeAlso: TechDraw_RichTextAnnotation
TechDraw Annotation
Description
The TechDraw Annotation tool adds a text block to a drawing page.
*Annotation in the drawing page*Usage
- If there are multiple drawing pages in the document: optionally activate the desired page by selecting it in the Tree view.
- There are several ways to invoke the tool:
- Press the Insert Annotation button.
- Select the TechDraw → Annotations → Insert Annotation option from the menu.
- If there are multiple drawing pages in the document and you have not yet activated a page, the Page Chooser dialog box opens:
- Select the desired page.
- Press the OK button.
- A text block containing Default Text appears on the page.
- Use the Property editor to change the text.
- Optionally drag the Annotation to the different position.
Modifying the annotation through the Property editor
Notes
- Some characters interfere with the internal representation of the Annotation text. Specifically, these are the double quote
"
, less than<
, and greater than>
symbols; these must be replaced by HTML escape characters,&quot;
,&lt;
, and&gt;
respectively. See Character encodings in HTML for details.
Properties
The Annotation inherits all applicable basic View properties except Scale. Use the TextSize property instead.
-
Text: The text to be displayed.
-
Font: The name of the font to use. Annotation will use the best match of installed fonts.
-
TextColor: The color of the text.
-
TextSize: The size of the text in mm.
-
MaxWidth: The maximum width of the Annotation block. -1 indicates no maximum width.
-
LineSpace: Line spacing adjustment (%).
-
TextStyle: \"Normal\", \"Bold\", \"Italic\", \"Bold-Italic\"
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
The New Annotation tool can be used in macros and from the Python console by using the following functions:
anno = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewAnnotation','TestAnno')
anno.Text = ['Different Text']
anno.TextStyle = 'Bold'
rc = page.addView(anno)
{{TechDraw_Tools_navi}}
⏵ documentation index > TechDraw > TechDraw Annotation
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/TechDraw_Annotation.md